Bug 519507 - compat-gcc-34 does not build on S390
Summary: compat-gcc-34 does not build on S390
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: compat-gcc-34
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: alpha
: ---
Assignee: Jakub Jelinek
QA Contact: Michal Nowak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 21:16 UTC by Denise Dumas
Modified: 2013-03-08 02:06 UTC (History)
6 users (show)

Fixed In Version: compat-gcc-34-3.4.6-18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 18:55:55 UTC


Attachments (Terms of Use)

Description Denise Dumas 2009-08-26 21:16:24 UTC
Description of problem:
compat-gcc-34 fails because this compiler doesn't seem to know about z9/z10 optimizations, we probably just need to remove those from CFLAGS:
  https://brewweb.devel.redhat.com/getfile?taskID=1943907&name=build.log


for details, talk with Karsten Hopp on #fedora-s390x
This is blocking the RHEL6 Alpha 2

Comment 2 Karsten Hopp 2009-08-28 17:36:09 UTC
Easily fixable by trimming the OPT_FLAGS similar to what we already do for the other archs.
The only question is if we should use -march=z900 or -march=z990.
I've already successfully tested a build with these modifications at
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=1948114

Comment 3 Jakub Jelinek 2009-08-29 10:08:54 UTC
We should use the same options as were used in RHEL4 (where gcc 3.4 was the primary compiler), as that's what was tested most.  I believe we didn't pass any special -march= nor -mtune= for s390/s390x at that time, so we should just strip it from OPT_FLAGS on these arches.

Comment 4 Karsten Hopp 2009-08-31 13:40:35 UTC
fixed in compat-gcc-34-3.4.6-18

Comment 5 Karsten Hopp 2009-08-31 13:40:46 UTC
fixed in compat-gcc-34-3.4.6-18

Comment 6 releng-rhel@redhat.com 2009-10-28 15:50:54 UTC
Fixed in 'compat-gcc-34-3.4.6-18', included in compose 'RHEL6.0-20091027.3'.
Moving to ON_QA.

Comment 7 Michal Nowak 2009-11-26 15:04:17 UTC
Verified that compat-gcc-34-3.4.6-18 build for s390x another proof that compat-gcc-34-3.4.6-18 can be build is here: http://download.devel.redhat.com/brewroot/packages/compat-gcc-34/3.4.6/18/. Also had a look at changes 13 v. 18 in CVS and the changes are those proposed in this BZ.

Comment 8 releng-rhel@redhat.com 2010-07-02 18:55:55 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.